#ifndef POZIOMICA_CFG_H
#define POZIOMICA_CFG_H

#define PIN_RIGHT 17
#define PIN_MID 16
#define PIN_LEFT 4

#define PIN_SCL 22
#define PIN_SDA 19

#define PIN_VOLT 35

//odkomentuj dla I2S DAC
#define EXTERNAL_DAC

//normalnie przy użyciu wewnętrznego DAC ustawienie głośności
//jest wyłączone i powinien być użyty potencjometr. Jeśli mimo
//wszystko chcesz użyć ustawień głośności, odkomentuj linię
//poniżej.
//#define USE_GAIN 1

// numery pinów dla zewnętrznego I2S DAC
#define PIN_BCLK 12
#define PIN_WCLK 14
#define PIN_DOUT 13

//odkomentuj dla szkła ochronnego
//#define USE_GLASS

//i znajdź według instrukcji czujnika
#define CROSSX_DISTANCE 60

//długość obudowy w mm
#define COVER_LEN 129

//wysokość obudowy w mm
#define COVER_HEIGHT 29

//szerokość obudowy w mm
#define COVER_WIDTH 68

//odległość lasera od spodu obudowy
#define VERT_OFFSET 17

// odległość czujnika od czoła obudowy
// nie uwzględniana jeśli używasz szkła
#define COVER_OFFSET 3

// ustawienia wstępne przetwornika
// rzeczywiste napięcie
#define REAL_VOLT 3860
// wskazania przetwornika
#define ADC_VOLT 2220

// zakomentuj dla gotowego programu
// odkomentuj aby móc ustawić wartości REAL_VOLT i ADC_VOLT
//#define PRINT_ADC 1


#endif
